C API Functions

## udbListKindEntity

### Description

Return an allocated list of all entity kinds. Call udbListKindFree() to free this list.

Refer to the language-specific listings of entity kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     void  udbListKindEntity(UdbKind **list, int *items)

### Arguments

Argument | description
UdbKind **list | Return allocated array of all entity kinds.
int *items | If not NULL, return size of array.

### Return Values

There are no function return values.

### Example Usage

This example gets the list of entity kinds, prints the long name of each entity kind, and frees the list of kinds.

     udbListKindEntity(&kinds, &size);
    printf ("All Entity Kinds: \n");
    for (i=0; i<size; i++) {
         printf ("  %s\n", udbKindLongname(kinds[i]) );
    }
    udbListKindFree(kinds);

### See Also

udbListKindFree to free the kinds list.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com